All of lore.kernel.org
 help / color / mirror / Atom feed
From: Anand Jain <Anand.Jain@oracle.com>
To: Christoph Hellwig <hch@infradead.org>
Cc: linux-fsdevel@vger.kernel.org, linux-btrfs@vger.kernel.org,
	xfs@oss.sgi.com, Chris Mason <chris.mason@oracle.com>
Subject: [PATCH 2/3] 264: Functional test case for the btrfs de-fragmentation
Date: Tue, 11 Oct 2011 19:27:31 +0800	[thread overview]
Message-ID: <4E942823.1030206@oracle.com> (raw)
In-Reply-To: <20111010112151.GA28627@infradead.org>

To verify the btrfs de-fragmentation does not fail

Signed-off-by: Anand Jain <Anand.Jain@oracle.com>
---
  264     |   60 
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  264.out |    2 ++
  group   |    1 +
  3 files changed, 63 insertions(+), 0 deletions(-)
  create mode 100755 264
  create mode 100644 264.out

diff --git a/264 b/264
new file mode 100755
index 0000000..61efeb8
--- /dev/null
+++ b/264
@@ -0,0 +1,60 @@
+#! /bin/bash
+# FS QA Test No. 264
+#
+# btrfs defragmentation tests
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2011 Oracle.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+# creator
+owner=anand.jain@oracle.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_need_to_be_root
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+_scratch_mkfs $SCRATCH_DEV_POOL > /dev/null 2>&1 || _fail "mkfs failed"
+_scratch_mount
+
+_fillfs 1 10 100 4096 8192 $SCRATCH_MNT
+
+btrfs filesystem defragment $SCRATCH_MNT
+[ $? = 20 ] || _fail "Defragment failed"
+
+umount $SCRATCH_MNT || _fail "umount failed"
+
+echo "Silence is golden"
+status=0; exit
diff --git a/264.out b/264.out
new file mode 100644
index 0000000..eca790b
--- /dev/null
+++ b/264.out
@@ -0,0 +1,2 @@
+QA output created by 264
+Silence is golden
diff --git a/group b/group
index d86624f..b5863be 100644
--- a/group
+++ b/group
@@ -377,3 +377,4 @@ deprecated
  261 auto quick quota
  262 auto quick quota
  263 auto quick
+264 auto quick
-- 
1.7.1



WARNING: multiple messages have this Message-ID (diff)
From: Anand Jain <Anand.Jain@oracle.com>
To: Christoph Hellwig <hch@infradead.org>
Cc: linux-fsdevel@vger.kernel.org,
	Chris Mason <chris.mason@oracle.com>,
	linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Subject: [PATCH 2/3] 264: Functional test case for the btrfs de-fragmentation
Date: Tue, 11 Oct 2011 19:27:31 +0800	[thread overview]
Message-ID: <4E942823.1030206@oracle.com> (raw)
In-Reply-To: <20111010112151.GA28627@infradead.org>

To verify the btrfs de-fragmentation does not fail

Signed-off-by: Anand Jain <Anand.Jain@oracle.com>
---
  264     |   60 
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  264.out |    2 ++
  group   |    1 +
  3 files changed, 63 insertions(+), 0 deletions(-)
  create mode 100755 264
  create mode 100644 264.out

diff --git a/264 b/264
new file mode 100755
index 0000000..61efeb8
--- /dev/null
+++ b/264
@@ -0,0 +1,60 @@
+#! /bin/bash
+# FS QA Test No. 264
+#
+# btrfs defragmentation tests
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2011 Oracle.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+# creator
+owner=anand.jain@oracle.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_need_to_be_root
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+_scratch_mkfs $SCRATCH_DEV_POOL > /dev/null 2>&1 || _fail "mkfs failed"
+_scratch_mount
+
+_fillfs 1 10 100 4096 8192 $SCRATCH_MNT
+
+btrfs filesystem defragment $SCRATCH_MNT
+[ $? = 20 ] || _fail "Defragment failed"
+
+umount $SCRATCH_MNT || _fail "umount failed"
+
+echo "Silence is golden"
+status=0; exit
diff --git a/264.out b/264.out
new file mode 100644
index 0000000..eca790b
--- /dev/null
+++ b/264.out
@@ -0,0 +1,2 @@
+QA output created by 264
+Silence is golden
diff --git a/group b/group
index d86624f..b5863be 100644
--- a/group
+++ b/group
@@ -377,3 +377,4 @@ deprecated
  261 auto quick quota
  262 auto quick quota
  263 auto quick
+264 auto quick
-- 
1.7.1


_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

  parent reply	other threads:[~2011-10-11 11:27 UTC|newest]

Thread overview: 99+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-08-05  7:59 [PATCH] snapshot, defragment and raid test cases for btrfs Anand Jain
2011-08-05  7:59 ` Anand Jain
2011-08-05 13:53 ` Amir Goldstein
2011-08-05 13:53   ` Amir Goldstein
2011-08-05 13:53   ` Amir Goldstein
2011-08-05 15:40   ` Greg Freemyer
2011-08-05 15:40     ` Greg Freemyer
2011-08-05 15:40     ` Greg Freemyer
2011-08-05 21:42     ` Greg Freemyer
2011-08-05 21:42       ` Greg Freemyer
2011-08-05 21:42       ` Greg Freemyer
2011-08-06 14:06 ` Dave Chinner
2011-08-06 14:06   ` Dave Chinner
2011-08-11 19:52   ` Anand Jain
2011-08-11 19:52     ` Anand Jain
2011-08-11 20:01 ` [PATCH 1/3] Added test case 257 for btrfs extended snapshot tests Anand Jain
2011-08-11 20:01   ` Anand Jain
2011-08-15  7:52   ` [PATCH v2 " Anand Jain
2011-08-15  7:52     ` Anand Jain
2011-09-02  8:45   ` [PATCH " Christoph Hellwig
2011-09-02  8:45     ` Christoph Hellwig
2011-08-11 20:01 ` [PATCH 2/3] Added test case 258 for btrfs defragmentation Anand Jain
2011-08-11 20:01   ` Anand Jain
2011-08-11 20:01 ` [PATCH 3/3] Added test case 259 for the btrfs raid features Anand Jain
2011-08-11 20:01   ` Anand Jain
2011-09-02  8:49   ` Christoph Hellwig
2011-09-02  8:49     ` Christoph Hellwig
2011-10-03 11:25     ` Anand Jain
2011-10-03 11:25       ` Anand Jain
2011-10-10  9:58     ` [PATCH] Changes to received review comments Anand Jain
2011-10-10  9:58       ` Anand Jain
2011-10-10 11:21       ` Christoph Hellwig
2011-10-10 11:21         ` Christoph Hellwig
2011-10-11 11:25         ` Anand Jain
2011-10-11 11:25           ` Anand Jain
2011-10-11 11:26         ` [PATCH 1/3] 263: Functional test case for the btrfs snapshot Anand Jain
2011-10-11 11:26           ` Anand Jain
2011-10-11 11:38           ` David Sterba
2011-10-11 11:38             ` David Sterba
2011-10-11 11:42             ` Christoph Hellwig
2011-10-11 11:42               ` Christoph Hellwig
2011-10-11 11:47               ` David Sterba
2011-10-11 11:47                 ` David Sterba
2011-10-11 11:27         ` Anand Jain [this message]
2011-10-11 11:27           ` [PATCH 2/3] 264: Functional test case for the btrfs de-fragmentation Anand Jain
2011-10-11 11:28         ` [PATCH 3/3] 265: Functional test case for the btrfs raid operations Anand Jain
2011-10-11 11:28           ` Anand Jain
2011-10-12  4:52 ` [PATCH 0/3] xfstest patch Anand Jain
2011-10-12  4:52   ` Anand Jain
2011-10-12  4:52   ` [PATCH 1/3] 263: Functional test case for the btrfs snapshot Anand Jain
2011-10-12  4:52     ` Anand Jain
2011-10-13  0:56     ` Dave Chinner
2011-10-13  0:56       ` Dave Chinner
2011-10-18  6:28       ` [PATCH 0/3] xfstests patches Anand Jain
2011-10-18  6:28         ` Anand Jain
2011-10-18  6:28         ` [PATCH 1/3] 264: Functional test case for the btrfs snapshot Anand Jain
2011-10-18  6:28           ` Anand Jain
2011-10-19  9:42           ` Christoph Hellwig
2011-10-19  9:42             ` Christoph Hellwig
2011-10-20 15:31             ` Anand Jain
2011-10-20 15:31               ` Anand Jain
2011-10-18  6:28         ` [PATCH 2/3] 265: Functional test case for the btrfs de-fragmentation Anand Jain
2011-10-18  6:28           ` Anand Jain
2011-10-19  9:43           ` Christoph Hellwig
2011-10-19  9:43             ` Christoph Hellwig
2011-10-20 15:32             ` Anand Jain
2011-10-20 15:32               ` Anand Jain
2011-10-18  6:28         ` [PATCH 3/3] 266: Functional test case for the btrfs raid operations Anand Jain
2011-10-18  6:28           ` Anand Jain
2011-10-19  9:45           ` Christoph Hellwig
2011-10-19  9:45             ` Christoph Hellwig
2011-10-20 15:32             ` Anand Jain
2011-10-20 15:32               ` Anand Jain
2011-10-20 15:41         ` [PATCH 0/5] xfstests enhancement and bug fix Anand Jain
2011-10-20 15:41           ` Anand Jain
2011-10-20 15:41           ` [PATCH 1/5] fill files with random data Anand Jain
2011-10-20 15:41             ` Anand Jain
2011-10-25 11:35             ` Christoph Hellwig
2011-10-25 11:35               ` Christoph Hellwig
2011-10-20 15:41           ` [PATCH 2/5] Added SCRATCH_DEV_POOL to specify multiple disks for the btrfs RAID Anand Jain
2011-10-20 15:41             ` Anand Jain
2011-10-25 11:36             ` Christoph Hellwig
2011-10-25 11:36               ` Christoph Hellwig
2011-10-20 15:41           ` [PATCH 3/5] 264: Functional test case for the btrfs snapshot Anand Jain
2011-10-20 15:41             ` Anand Jain
2011-10-25 11:36             ` Christoph Hellwig
2011-10-25 11:36               ` Christoph Hellwig
2011-10-20 15:41           ` [PATCH 4/5] 265: Functional test case for the btrfs raid operations Anand Jain
2011-10-20 15:41             ` Anand Jain
2011-10-25 11:37             ` Christoph Hellwig
2011-10-25 11:37               ` Christoph Hellwig
2011-10-20 15:41           ` [PATCH 5/5] _populate_fs should use OPTIND when getopts is used Anand Jain
2011-10-20 15:41             ` Anand Jain
2011-10-25 11:37             ` Christoph Hellwig
2011-10-25 11:37               ` Christoph Hellwig
2011-10-12  4:52   ` [PATCH 2/3] 264: Functional test case for the btrfs de-fragmentation Anand Jain
2011-10-12  4:52     ` Anand Jain
2011-10-12  4:52   ` [PATCH 3/3] 265: Functional test case for the btrfs raid operations Anand Jain
2011-10-12  4:52     ` Anand Jain

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=4E942823.1030206@oracle.com \
    --to=anand.jain@oracle.com \
    --cc=chris.mason@oracle.com \
    --cc=hch@infradead.org \
    --cc=linux-btrfs@vger.kernel.org \
    --cc=linux-fsdevel@vger.kernel.org \
    --cc=xfs@oss.sgi.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.